# include "dvo2.h"

int mkregions (int argc, char **argv) {

  int i, status, Nlevels, Nlist;
  SkyRegion *list;

  if (argc != 2) {
    fprintf (stderr, "USAGE: mkregions (Nlevel)\n");
    return (FALSE);
  }
  
  Nlevels = atoi (argv[1]);

  fprintf (stderr, "make regions\n");
  list = SkyMakeRegions (Nlevels, &Nlist);

  fprintf (stderr, "make names\n");
  status = SkyMakeNames (list, NULL, 0);
  if (!status) {
    fprintf (stderr, "error making region names\n");
    return (FALSE);
  }

  /*
  for (i = 0; i < Nlist; i++) {
    fprintf (stderr, "%24s : %10.6f - %10.6f : %10.6f - %10.6f : %3d  %3d  %3d - %3d\n", 
	     list[i].name,
	     list[i].Rmin, list[i].Rmax, list[i].Dmin, list[i].Dmax, 
	     list[i].child, list[i].depth, list[i].childS, list[i].childE);
  }
  */
  return (TRUE);

}
